Page MenuHomePhabricator

Resolve elasticsearch shard size alert by doing an in place reindex
Closed, ResolvedPublic

Description

Indices like enwiki, commonswiki, wikidatawiki have shards going over 80gb. Moving this shards around is difficult resulting in high disk usage of some of the cluster nodes. An in place reindex is needed to be done to increase the shard count of the indices.
This link provides a point of reference on how reindexing is done: https://wikitech.wikimedia.org/wiki/Search#In_place_reindex

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 14 2018, 3:53 PM
Restricted Application edited projects, added Discovery-Search; removed Discovery-Search (Current work). · View Herald TranscriptSep 14 2018, 4:19 PM
Mathew.onipe renamed this task from Resolve elasticsearch shard size alert to Resolve elasticsearch shard size alert by doing an in reindex.Sep 20 2018, 4:58 PM
Mathew.onipe raised the priority of this task from Medium to High.
Mathew.onipe updated the task description. (Show Details)
Mathew.onipe added a subscriber: EBernhardson.
Mathew.onipe renamed this task from Resolve elasticsearch shard size alert by doing an in reindex to Resolve elasticsearch shard size alert by doing an in place reindex.Sep 21 2018, 5:56 PM

Mentioned in SAL (#wikimedia-operations) [2018-09-25T10:53:08Z] <onimisionipe> onimisionipe: starting inplace reindex of eqiad enwiki - T204362

Mentioned in SAL (#wikimedia-operations) [2018-09-27T02:41:37Z] <onimisionipe> starting inplace reindexing of viwiki and commonswiki - T204362

Mentioned in SAL (#wikimedia-operations) [2018-10-01T03:21:22Z] <onimisionipe> restarting inplace reindexing of enwiki and viwiki at codfw - T204362

debt closed this task as Resolved.Oct 5 2018, 3:55 PM